/*
 * Class BAG [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_478 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_478 [] = {0xFF01,237,477,188,0xFFFF};
static const EIF_TYPE_INDEX egt_2_478 [] = {0xFF01,477,188,0xFFFF};
static const EIF_TYPE_INDEX egt_3_478 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_478 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_478 [] = {0xFF01,477,188,0xFFFF};
static const EIF_TYPE_INDEX egt_6_478 [] = {0xFF01,477,188,0xFFFF};
static const EIF_TYPE_INDEX egt_7_478 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_478 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_478 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_478 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_478 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_478 [] = {477,188,0xFFFF};
static const EIF_TYPE_INDEX egt_13_478 [] = {0xFF01,477,188,0xFFFF};
static const EIF_TYPE_INDEX egt_14_478 [] = {0xFF01,474,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_478 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_478[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_478), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_478), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_478), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_478), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_478), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_478), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_478), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_478), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_478), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_478), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_478), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_478), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_478), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_478), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1876, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1877, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1878, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1879, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_478), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_478), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1940, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init478(void)
{
	IDSC(desc_478, 0, 477);
	IDSC(desc_478 + 1, 1, 477);
	IDSC(desc_478 + 32, 77, 477);
	IDSC(desc_478 + 41, 282, 477);
	IDSC(desc_478 + 50, 229, 477);
}


#ifdef __cplusplus
}
#endif
